## org.w3c.www.http
Class CookieDate

    java.lang.Object
      |
      +--org.w3c.www.http.BasicValue
            |
            +--org.w3c.www.http.HttpDate
                  |
                  +--org.w3c.www.http.CookieDate

public class CookieDate
extends HttpDate

Fields inherited from class org.w3c.www.http.HttpDate
`date, days, months, tz`

Fields inherited from class org.w3c.www.http.BasicValue
`isValid, raw, rlen, roff`

Constructor Summary
`CookieDate(boolean isValid, long date)`

Method Summary
`protected void` | `updateByteValue()`

Methods inherited from class org.w3c.www.http.HttpDate
`getValue, main, parse, setValue`

Methods inherited from class org.w3c.www.http.BasicValue
`addBytes, appendValue, checkByteValue, emit, error, invalidateByteValue, setBytes, setString, toExternalForm, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CookieDate

    public CookieDate(boolean isValid,
                      long date)

Method Detail

### updateByteValue

    protected void updateByteValue()

  Overrides:
    updateByteValue in class HttpDate